commit 725179f3e40c3c5d76d323fbb0ebb75afe257cc2
Author: Andrea Corallo <andrea.corallo@arm.com>
Date:   Wed May 27 17:43:48 2020 +0100

    arm: Fix unwanted fall-throughs in arm.c
    
    gcc/ChangeLog
    
    2020-05-28  Andrea Corallo  <andrea.corallo@arm.com>
    
            * config/arm/arm.c (mve_vector_mem_operand): Fix unwanted
            fall-throughs.

diff --git a/gcc/config/arm/arm.c b/gcc/config/arm/arm.c
index 97f5e12ad68..35e6aa27c11 100644
--- a/gcc/config/arm/arm.c
+++ b/gcc/config/arm/arm.c
@@ -13375,6 +13375,7 @@ mve_vector_mem_operand (machine_mode mode, rtx op, bool strict)
 	    if (val % 4 == 0 && val >= 0 && val <= 1020)
 	      return ((reg_no < LAST_ARM_REGNUM && reg_no != SP_REGNUM)
 		      || (!strict && reg_no >= FIRST_PSEUDO_REGISTER));
+	    return FALSE;
 	  default:
 	    return FALSE;
 	}
